- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ucs_san_connectivity – Configures SAN Connectivity Policies on Cisco UCS Manager

New in version 2.5.

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- Configures SAN Connectivity Policies on Cisco UCS Manager.
- Examples can be used with the UCS Platform Emulator https://communities.cisco.com/ucspe.

## Requirements

The below requirements are needed on the host that executes this module.

- ucsmsdk

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description - |  | A description of the policy. Cisco recommends including information about where and when to use the policy. Enter up to 256 characters. You can use any characters or spaces except the following: ` (accent mark), (backslash), ^ (carat), " (double quote), = (equal sign), > (greater than), < (less than), or ' (single quote). aliases: descr
hostname string / required |  | IP address or hostname of Cisco UCS Manager.
name - / required |  | The name of the SAN Connectivity Policy. This name can be between 1 and 16 alphanumeric characters. You cannot use spaces or any special characters other than - (hyphen), "_" (underscore), : (colon), and . (period). You cannot change this name after the policy is created.
org_dn - | Default: "org-root" | Org dn (distinguished name)
password string / required |  | Password for Cisco UCS Manager authentication.
port integer |  | Port number to be used during connection (by default uses 443 for https and 80 for http connection).
proxy string |  | If use_proxy is no, specfies proxy to be used for connection. e.g. 'http://proxy.xy.z:8080'
state - | Choices: present ← absent | If `present`, will verify SAN Connectivity Policies are present and will create if needed. If `absent`, will verify SAN Connectivity Policies are absent and will delete if needed.
use_proxy boolean | Choices: no yes ← | If `no`, will not use the proxy as defined by system environment variable.
use_ssl boolean | Choices: no yes ← | If `no`, an HTTP connection will be used instead of the default HTTPS connection.
username string | Default: "admin" | Username for Cisco UCS Manager authentication.
vhba_list - |  | List of vHBAs used by the SAN Connectivity Policy. vHBAs used by the SAN Connectivity Policy must be created from a vHBA template. Each list element has the following suboptions: = name The name of the virtual HBA (required). = vhba_template The name of the virtual HBA template (required). - adapter_policy The name of the Fibre Channel adapter policy. A user defined policy can be used, or one of the system defined policies (default, Linux, Solaris, VMware, Windows, WindowsBoot) [Default: default] - order String specifying the vHBA assignment order (e.g., '1', '2'). [Default: unspecified]
wwnn_pool - | Default: "default" | Name of the WWNN pool to use for WWNN assignment.

## Examples

    - name: Configure SAN Connectivity Policy
      ucs_san_connectivity:
        hostname: 172.16.143.150
        username: admin
        password: password
        name: Cntr-FC-Boot
        wwnn_pool: WWNN-Pool
        vhba_list:
        - name: Fabric-A
          vhba_template: vHBA-Template-A
          adapter_policy: Linux
        - name: Fabric-B
          vhba_template: vHBA-Template-B
          adapter_policy: Linux

    - name: Remove SAN Connectivity Policy
      ucs_san_connectivity:
        hostname: 172.16.143.150
        username: admin
        password: password
        name: Cntr-FC-Boot
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- David Soper (@dsoper2)
- CiscoUcs (@CiscoUcs)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.